
  #include <stdio.h>
  #include <stdlib.h>
  #include <math.h>
  #include <dos.h>
  #include <malloc.h>
  #include <string.h>

  #include "g3def.h"
  #include "g3malloc.h"
  #include "g3lib.h"
  #include "g3land.h"
  #include "g3raw.h"

void land_compute(char *filename)
  {
  FILE *handle;
  G3_LANDITEM landitem;
  PIXEL *ptrpixel;
  SD w,h;
  SD x,z;
  SD everhere;

  ptrpixel=g3_raw_load(filename,&w,&h);

  handle=fopen("LAND.LND","wb");
  if(handle!=NULL)
    {
    for(z=G3_LANDSIZE-1;z>=0;z--)
      for(x=0;x<G3_LANDSIZE;x++)
          {
            landitem.y=*(ptrpixel+z*G3_LANDSIZE+x);
            landitem.texture=0;
            landitem.light=0;
            landitem.htexture=1;
            landitem.hlight=0;
            fwrite(&landitem,sizeof(G3_LANDITEM),1,handle);
          }
    fclose(handle);
    }
  }

main(int argc,char *argv[])
  {
  land_compute(argv[1]);
  }
