//-----------------------------------------------------------------------------
// (C) 1997	L.C
//
// Last modified		:
// To do				:
//-----------------------------------------------------------------------------

#ifndef _G3_PAD_H_
#define _G3_PAD_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdio.h>
#include <stdlib.h>
#ifndef G3WIN
#include <dos.h>
#endif

#include "g3def.h"

#define G3_PAD_UP         0
#define G3_PAD_DOWN       1
#define G3_PAD_LEFT       2
#define G3_PAD_RIGHT      3
#define G3_PAD_FIRE       4
#define G3_PAD_SPEEDDOWN  5
#define G3_PAD_SPEEDUP    6
#define G3_PAD_SLIDE      7
#define G3_PAD_WEAPON1    8
#define G3_PAD_WEAPON2    9
#define G3_PAD_WEAPON3    10
#define G3_PAD_WEAPON4    11
#define G3_PAD_WEAPON5    12
#define G3_PAD_WEAPON6    13
#define G3_PAD_WEAPON7    14
#define G3_PAD_WEAPON8    15
#define G3_PAD_WEAPON9    16
#define G3_PAD_WEAPON10       17
#define G3_PAD_NEXTWEAPON     18
#define G3_PAD_NEXTVIDEOMODE  19
#define G3_PAD_GRAPHDETAIL    20
#define G3_PAD_PAUSE          21
#define G3_PAD_ESC            22
#define G3_PAD_MAX            23

void g3_pad_init(void);
void g3_pad_restore(void);
SD g3_pad_get(SD numpad);
void g3_pad_sample(void);

#ifdef __cplusplus
}
#endif

#endif

