

#include <math.h>
#include <string.h>
#include <glide.h>
#include "g33dfx.h"



int g3_3dfx_begin(void)
{
  grGlideInit();
  if(!grSstQueryHardware(&hwconfig))
  {
    grGlideShutdown();
    return(G3_FALSE);
  }
  grSstSelect(0);
  if(!grSstOpen(
        screenRes,
        GR_REFRESH_60Hz,
        GR_COLORFORMAT_ABGR,
        GR_ORIGIN_UPPER_LEFT,
        GR_SMOOTHING_DISABLE,
        2)
    )
  {
    grGlideShutdown();
    return(G3_FALSE);
  }
}


