
#ifndef _G3OBJ_H_
#define _G3OBJ_H_


G3_OBJECT *g3_object_getaddr(SD id);
SD g3_object_getcount(void);
SD g3_object_getactivecount(void);
G3_SKL *g3_object_sklprepare(G3_OBJECT *ptrobject,G3_SKL *ptrskl,G3_MATRIX *m);
void g3_object_prepare(G3_OBJECT *ptrobject);
G3_POLYGON *g3_object_envaddr(G3_OBJECT *ptrobject);
SD g3_object_envcount(G3_OBJECT *ptrobject);
SD g3_object_envsave(G3_OBJECT *ptrobject,char *name);
SD g3_object_envload(char *name,G3_OBJECT *ptrobject);
SD g3_object_envload(char *name,G3_OBJECT *ptrobject);
SD g3_object_vtxcount(G3_OBJECT *ptrobject);
SD g3_object_vtxsave(G3_OBJECT *ptrobject,char *name);
SD g3_object_vtxload(char *name,G3_OBJECT *ptrobject);
SD g3_object_sklcount(G3_OBJECT *ptrobject);
SD g3_object_sklsave(G3_OBJECT *ptrobject,char *name);
SD g3_object_sklload(char *name,G3_OBJECT *ptrobject);
void g3_object_load(char *name,G3_OBJECT *ptrobject);
SD g3_object_save(G3_OBJECT *ptrobject,char *name);
G3_SKL *g3_object_sklselect(G3_OBJECT *ptrobject,SD px,SD py);
void g3_object_compute(G3_OBJECT *ptrobject);
void g3_object_motionprepare(G3_OBJECT *ptrobject);
void g3_object_motionprogress(G3_OBJECT *ptrobject);
void g3_object_set(G3_OBJECT *ptrobject,SD rx,SD ry,SD rz,SD tx,SD ty,SD tz);
void g3_object_progress(G3_OBJECT *ptrobject,SD drx,SD dry,SD drz,SD dtx,SD dty,SD dtz);
void g3_object_setplayer(G3_OBJECT *ptrobject);
G3_OBJECT *g3_object_getplayer(void);
G3_OBJECT *g3_object_add(char *name,G3_FUNCOBJECT function,G3_OBJECT *creator,G3_OBJECT *goal,G3_VECTOR *translation,G3_ROTATION *rotation,SD life,SD power);
G3_OBJECT *g3_object_searchcollid(G3_OBJECT *ptrobject,SD timemax,SD *timecollid,SD *axis);
int g3_object_getflag(G3_OBJECT *ptrobject,UB flag);
void g3_object_setflag(G3_OBJECT *ptrobject,UB flag,int value);


void g3_allobject_load(void);
void g3_allobject_manage(void);
void g3_allobject_compute(void);
void g3_allobject_init(void);
void g3_allobject_restore(void);



SD g3_collid_axis(void);
G3_OBJECT *g3_collid_ptrobject(void);








#endif

