/************************************************************************/
/*              TIMER MANAGEMENT FUNCTIONS                              */
/************************************************************************/

#ifndef _G3TIMER_H_
#define _G3TIMER_H_

#ifdef __cplusplus
extern "C"
{
#endif


#define G3_TIMER_FREQUENCY  256

#ifndef G3WIN
SD   g3_timer_initialized(void);
#else
void g3_timer_handler(void);
#endif


void g3_timer_init(void);
void g3_timer_restore(void);
SD g3_timer_get();
void g3_timer_sample(void);
SD   g3_timer_sampledelay(void);

#ifdef G3WIN
extern void _asm_begin(void);
extern void _asm_end(void);
SD g3_virtual_unprotect(void *start,UD size,UD *oldmode);
#endif

#ifdef __cplusplus
}
#endif

#endif



