
#include <stdlib.h>
#include <stdio.h>

#include "g3wav.h"

void *g3_wav_load(char *filename,int *psize)
{
  FILE *handle;
  char data[4];
  void *buffer;
  handle=fopen(filename,"rb");
  if(handle==NULL) return(NULL);
  do
  {
    data[0]=data[1];
    data[1]=data[2];
    data[2]=data[3];
    fread(&data[3],sizeof(data[3]),1,handle);
  }
  while(!(data[0]=='d' && data[1]=='a' && data[2]=='t' && data[3]=='a' ));

  fread(psize,sizeof(int),1,handle);

  buffer=(void *)malloc(*psize);
  if(buffer!=NULL)
  {
    fread(buffer,*psize,1,handle);
  }
  fclose(handle);
  return(buffer);
}

