  //----------------------------------------------------
  // param xa,ya,xb,yb,txa,tya,txb,tyb,lighta,lightb
  //----------------------------------------------------
  // now tx ty and light are only computed for right's egde
  {
  SD dy;
  SD *ptrtlr;
  dy=yb-ya;                                     // compute dy
  if(dy==0) return;                             // if horizontal line then return
  if(dy<0)                                      // if it's a left edge....
    {
    if(ya<=0) return;                           // not in screen ?
    if(yb>g3_ymax) return;                      // not in screen ?
    dy=-dy;                                     // we want as if DY was positive because we start from yb now
    xa=((xa-xb)<<G3_FPSHIFT)/dy;                // compute the dx/dy
    xb=(xb<<G3_FPSHIFT)+(xa>>1);                // add the half displacment to initial x coord
    if(yb<0)                                    // if the line clipped on top....
      {
      dy+=yb;                                   // less dy to compute
      if(dy<=0) return;                         // this is the end ?
      xb-=(xa*yb);                              // compute new x position
      yb=0;                                     // the new yb is 0
      }
    if(ya>g3_ymaxp1)                            // if clipping on the bottom line
      {
      dy+=g3_ymaxp1-ya;                         // less dy to compute
      if(dy<=0) return;                         // this is the end ?
      ya=g3_ymaxp1;                             // the ya
      }
    if(yb<g3_polyminy)  g3_polyminy=yb;
    if(ya>g3_polymaxy)  g3_polymaxy=ya;
    ptrtlr=g3_tlr+yb;
    do
      {
      *ptrtlr++=xb>>G3_FPSHIFT;
      xb+=xa;
      }
    while(--dy);
    }
  else
    {
    if(yb<=0) return;
    if(ya>g3_ymax) return;
    xb=((xb-xa)<<G3_FPSHIFT)/dy;
    xa=(xa<<G3_FPSHIFT)+(xb>>1);
    #if FLAGTEXTURE
    txb=(txb-txa)/dy;
    txa+=txb>>1;
    tyb=(tyb-tya)/dy;
    tya+=tyb>>1;
    #endif
    #if FLAGLIGHT
    lightb=((lightb-lighta)<<G3_GFPSHIFT)/dy;
    lighta=(lighta<<G3_GFPSHIFT)+(lightb>>1);
    #endif
    if(ya<0)
      {
      dy+=ya;
      if(dy<=0) return;
      xa-=(xb*ya);
      #if FLAGTEXTURE
      txa-=txb*ya;
      tya-=tyb*ya;
      #endif
      #if FLAGLIGHT
      lighta-=lightb*ya;
      #endif
      ya=0;
      }
    if(yb>g3_ymaxp1)
      {
      dy+=g3_ymaxp1-yb;
      if(dy<=0) return;
      yb=g3_ymax+1;
      }
    if(ya<g3_polyminy) g3_polyminy=ya;
    if(yb>g3_polymaxy) g3_polymaxy=yb;
    ptrtlr=g3_tlr+G3_HSCREENH+ya;
    do
      {
      *ptrtlr=xa>>G3_FPSHIFT;
      #if FLAGTEXTURE
      *(ptrtlr+G3_HSCREENH*1)=txa;
      *(ptrtlr+G3_HSCREENH*2)=tya;
      #endif
      #if FLAGLIGHT
      *(ptrtlr+G3_HSCREENH*3)=lighta;
      #endif
      #if FLAGTEXTURE
      txa+=txb;
      tya+=tyb;
      #endif
      #if FLAGLIGHT
      lighta+=lightb;
      #endif
      xa+=xb;
      ptrtlr++;
      }
    while(--dy);
    }
  }






































#if 0
  SD pente;
  SD dy;
  SD dx;
  SD *ptrtlr;
  dy=yb-ya;
  if(dy==0) return;
  if(dy<0)
    {
    // this is a left edge
    dy=-dy;
    if(ya<0) return;
    if(yb>g3_ymax) return;
    ptrtlr=g3_tlr;
    dx=xa-xb;
    pente=(dx<<G3_FPSHIFT)/dy;
  #if FLAGTEXTURE
    txa=(((txa-txb))/dy);
    txb+=txa>>1;
    tya=(((tya-tyb))/dy);
    tyb+=tya>>1;
  #endif
  #if FLAGLIGHT
    lighta=((lighta-lightb)<<G3_GFPSHIFT)/dy;
    lightb=(lightb<<G3_GFPSHIFT)+(lighta>>1);
  #endif
    xb=(xb<<G3_FPSHIFT)+(pente>>1);
    if(yb<0)
      {
      dy+=yb;
      if(dy<=0) return;
      xb-=(pente*yb);
  #if FLAGTEXTURE
      txb-=(txa*yb);
      tyb-=(tya*yb);
  #endif
  #if FLAGLIGHT
      lightb-=(lighta*yb);
  #endif
      yb=0;
      }
    ptrtlr+=yb;
    dx=g3_ymax+1-ya;
    if(dx<0)
      {
      dy+=dx;
      if(dy<=0) return;
      ya=g3_ymax+1;
      }
    if(yb<g3_polyminy)  g3_polyminy=yb;
    if(ya>g3_polymaxy)  g3_polymaxy=ya;
    do
      {
      *ptrtlr=xb;
  #if FLAGTEXTURE
      *(ptrtlr+G3_HSCREENH*2)=txb;
      *(ptrtlr+G3_HSCREENH*3)=tyb;
      txb+=txa;
      tyb+=tya;
  #endif
  #if FLAGLIGHT
      *(ptrtlr+G3_HSCREENH*4)=lightb;
      lightb+=lighta;
  #endif
      xb+=pente;
      ptrtlr++;
      }
    while(--dy);
    }
  else
    {
    if(yb<0) return;
    if(ya>g3_ymax) return;
    ptrtlr=g3_tlr+G3_HSCREENH;
    dx=xb-xa;
    pente=(dx<<G3_FPSHIFT)/dy;
    xa=(xa<<G3_FPSHIFT)+(pente>>1);
    if(ya<0)
      {
      dy+=ya;
      if(dy<=0) return;
      xa-=(pente*ya);
      ya=0;
      }
    ptrtlr+=ya;
    dx=g3_ymax+1-yb;
    if(dx<0)
      {
      dy+=dx;
      if(dy<=0) return;
      yb=g3_ymax+1;
      }
    if(ya<g3_polyminy)  g3_polyminy=ya;
    if(yb>g3_polymaxy)  g3_polymaxy=yb;
    do
      {
      *ptrtlr++=xa;
      xa+=pente;
      }
    while(--dy);
    }
#endif

