
/************************************************************************/
/*              MEMORY MANAGEMENT FUNCTION                              */
/************************************************************************/

#define _G3MALLOC_C_

#include <math.h>
#include <malloc.h>
#include <string.h>

#include "g3def.h"
#include "g3malloc.h"
#include "g3error.h"

SD  g3_malloc_count=0;

SD g3_malloc_getcount(void)
{
  return(g3_malloc_count);
}

void *g3_malloc(SD size)
  {
  void *ptr;
  if(size<=0)
  {
    g3_error("g3_malloc : size <=0");
  }
  ptr=malloc(size);
  if(ptr==NULL)
    {
    g3_error("g3_malloc : not enouth memory");
    }
  memset(ptr,0xCD,size);
  g3_malloc_count++;
  return(ptr);
  }

void g3_free(void *ptr)
  {
    free(ptr);
  }


