
  #include <windows.h>
  //#include <windowsx.h>
  //#include <mmsystem.h>

#include "g3pad.h"

#define G3_SCAN_RIGHT     VK_RIGHT
#define G3_SCAN_UP        VK_UP
#define G3_SCAN_LEFT      VK_LEFT
#define G3_SCAN_DOWN      VK_DOWN
#define G3_SCAN_CONTROL   VK_RCONTROL
#define G3_SCAN_PLUS      VK_ADD
#define G3_SCAN_MINUS     VK_SUBTRACT
#define G3_SCAN_SPACE     VK_SPACE
#define G3_SCAN_ALTGR     VK_RSHIFT



volatile SD g3_pad[G3_PAD_MAX];
volatile UB scancode;


void g3_pad_init(void)
  {
  memset(&g3_pad[0],0,sizeof(SD)*G3_PAD_MAX);
  }

void g3_pad_restore(void)
  {
  }

void g3_pad_sample(void)
{
      g3_pad[G3_PAD_UP]=GetAsyncKeyState(G3_SCAN_UP);
      g3_pad[G3_PAD_DOWN]=GetAsyncKeyState(G3_SCAN_DOWN);
      g3_pad[G3_PAD_LEFT]=GetAsyncKeyState(G3_SCAN_LEFT);
      g3_pad[G3_PAD_RIGHT]=GetAsyncKeyState(G3_SCAN_RIGHT);
      g3_pad[G3_PAD_SPEEDDOWN]=GetAsyncKeyState(G3_SCAN_MINUS);
      g3_pad[G3_PAD_SPEEDUP]=GetAsyncKeyState(G3_SCAN_PLUS);
      g3_pad[G3_PAD_FIRE]=GetAsyncKeyState(G3_SCAN_SPACE);
      g3_pad[G3_PAD_SLIDE]=GetAsyncKeyState(G3_SCAN_ALTGR);
}

SD g3_pad_get(SD numpad)
{
  return(g3_pad[numpad]);
}


