//**********************************************************************
//          PLANE SYSTEM  
//**********************************************************************
// File                 : g3plane.h
// Author               : C.Levastre
// Date                 : 1996
//**********************************************************************

#ifndef _G3_PLANE_H_
#define _G3_PLANE_H_

typedef struct
{
        G3_VECTOR normal;
        FP d;
        G3_VECTOR nab;
        FP dab;
        G3_VECTOR nbc;
        FP dbc;
        G3_VECTOR nca;
        FP dca;
        G3_VECTOR min;
        G3_VECTOR max;
}
G3_PLANE;

void g3_plane_init(G3_VECTOR *va,G3_VECTOR *vb,G3_VECTOR *vc,G3_PLANE *plane);
G3_PLANE *g3_plane_intersect(G3_PLANE *plane,int nbplane,G3_VECTOR *p1,G3_VECTOR *p2,G3_VECTOR *res,FP *ratio);

#endif

