
/************************************************************************/
/*              TIMER MANAGEMENT FUNCTIONS                              */
/************************************************************************/

  #define _G3TIMER_C_

/*---------- standard includes ----------*/

    #include <windows.h>
    #include <windowsx.h>
    #include <mmsystem.h>

/*---------- specific includes ----------*/

  #include "g3def.h"
  #include "g3timer.h"


  SD         g3_timer_count=0;
  SD         g3_timer_oldcount=0;
  SD         g3_timer_sampling=1;

void g3_timer_handler(void)
  {
  g3_timer_count++;
  }



void g3_timer_init(void)
  {
  g3_timer_count=timeGetTime()>>2;
  }

void g3_timer_restore(void)
  {
  }

SD g3_timer_get()
  {
  return(g3_timer_count);
  }

void g3_timer_sample(void)
  {
  g3_timer_count=timeGetTime()>>2;
  g3_timer_sampling=(g3_timer_count-g3_timer_oldcount);
  g3_timer_oldcount=g3_timer_count;
  if(g3_timer_sampling>100) g3_timer_sampling=1;
  }

SD g3_timer_sampledelay(void)
  {
  return(g3_timer_sampling);
  }

SD g3_virtual_unprotect(void *start,UD size,UD *oldmode)
{
    return((SD)VirtualProtect(start,size,PAGE_READWRITE,oldmode));
}

